!-------------------------------------------------
!  BLKlib Module
!-------------------------------------------------
module blklib
  use dcl_common
  contains

    function DclIntervalLT(bounds,value)
      real, intent(in), dimension(:) :: bounds 
      real, intent(in)               :: value 
      integer                        :: DclIntervalLT
      DclIntervalLT = iblklt(bounds,n,value)
    end function
      
    function DclIntervalLE(bounds,value)
      real, intent(in), dimension(:) :: bounds
      real, intent(in)               :: value
      integer                        :: DclIntervalLE
      DclIntervalLE = iblkle(bounds,n,value) 
    end function
      
    function DclIntervalGT(bounds,value)
      real, intent(in), dimension(:) :: bounds
      real, intent(in)               :: value 
      integer                        :: DclIntervalGT
      DclIntervalGT = iblkgt(bounds,n,value)
    end function
      
    function DclIntervalGE(bounds,value)
      real, intent(in), dimension(:) :: bounds
      real, intent(in)               :: value
      integer                        :: DclIntervalGE
      DclIntervalGE = iblkge(bounds,n,value)
    end function

end module
